//import {UiUtils} from "./utils/UiUtils";
import $ from 'jquery';
import IHK from './ihk';
import 'focus-visible';


global.$ = $;

import './modules/a-z';
import './modules/ad-teaser';
import './modules/accordion';
import './modules/anchors';
import './modules/bookmarks';
import './modules/breadcrumb';
//import './modules/caruso';
import './modules/contact';
import './modules/events';
import './modules/gallery';
import './modules/header';
import './modules/magazine-header';
import './modules/masonry';
import './modules/quick-facts';
import './modules/registration';
import './modules/search';
import './modules/sidebar';
import './modules/slider';
import './modules/social';
import './modules/survey';
import './modules/table';
import './modules/topics';
import './modules/webforms';
import './modules/search-typeahead';
import './utils/ie';

IHK.realVH();
$(window).on('resize', function() {
	IHK.realVH();
});

$(document).ready(function () {
	IHK.init();
	$('body').addClass('ready');
	// trigger das init event auf der globale jquery instanz so dass es alle modulle mitkriegen (z.B. cookie.js)
	global.$("body").trigger('ihk-init');
	// UiUtils.initUI();
});
